Skip to main content
GET
/
org
/
{org}
/
gvc
/
{gvc}
/
workload
/
{workload}
/
deployment
/
{name}
Get
curl --request GET \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/workload/{workload}/deployment/{name} \
  --header 'Authorization: <api-key>'
{
  "name": "<string>",
  "kind": "<string>",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "lastModified": "2023-11-07T05:31:56Z",
  "status": {
    "endpoint": "<string>",
    "remote": "<string>",
    "lastProcessedVersion": 123,
    "expectedDeploymentVersion": 123,
    "internal": {},
    "ready": true,
    "deploying": true,
    "versions": [
      {
        "name": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "workload": 123,
        "gvc": 123,
        "containers": {},
        "ready": true,
        "message": "<string>",
        "zone": "<string>"
      }
    ],
    "jobExecutions": [
      {
        "workloadVersion": 123,
        "status": "pending",
        "startTime": "2023-11-07T05:31:56Z",
        "completionTime": "2023-11-07T05:31:56Z",
        "conditions": [
          {
            "status": "Unknown",
            "type": "<string>",
            "lastDetectionTime": "2023-11-07T05:31:56Z",
            "lastTransitionTime": "2023-11-07T05:31:56Z",
            "message": "<string>",
            "reason": "<string>"
          }
        ],
        "name": "<string>",
        "replica": "<string>",
        "containers": {},
        "message": "<string>"
      }
    ],
    "message": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required
workload
string
required
name
string
required

Response

Success

name
string
Maximum string length: 64
kind
string
read-only
lastModified
string<date-time>
status
object
read-only